<?php
use wcf\system\WCF;
use wcf\data\multiHunter\MultiHunter;

/**
 * create a random string for every user during the installation.
 *
 * @author 	Marcel Beckers
 * @license	YoureCom License - Commercial (YCLC)  <http://yourecom.de/hp/index.php?licence-commercial/>
 * @package	de.yourecom.multihunter2
 */

//get all userIDs
$userIDs = array();
$sql = "SELECT		userID
		FROM		wcf".WCF_N."_user
		WHERE	userString = ''";
$statement = WCF::getDB()->prepareStatement($sql);
$statement->execute();
while ($row = $statement->fetchArray()) {
	$userIDs[] = $row['userID'];
}

//create userStrings
foreach($userIDs as $userID) {
	$sql = "UPDATE	wcf".WCF_N."_user
			SET	userString = ?
			WHERE	userID = ?";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute(array(MultiHunter::createUserString(), $userID));
}